# itemengine-player-service
Item Engine player Service

## Node & NPM Versions

This project makes use of node version `16.14.2` and NPM version `8.5.0`.

In order to enforce consistency, this project contains a `.nvmrc` file which denotes the correct node version.

Developers who make use of [NVM](https://github.com/creationix/nvm) to manage their node versions should type `nvm install` inside the root directory of the project and NVM will install and use the node version expressed within the `.nvmrc` file.

## Getting started

* Setup node version:
    - `nvm use`
* Install dependencies:
    - `yarn install`
* Start project in development mode
    - `yarn start`
* Run linting:
    - `yarn lint`

## Configuring & Starting the Service

Copy the contents of `.env.example` to a new file called `.env`
If necessary, update the values
yarn install
yarn start
