import {
    Column,
    PrimaryGeneratedColumn,
    Index,
} from 'typeorm';

export abstract class QuestionQuestionpartMapEntity {
    @PrimaryGeneratedColumn()
    public id: number;

    @Column({
        nullable: true,
    })
    public question_part_id: number;

    @Column({
        type: 'real',
        nullable: true,
    })
    public points_scored: number;

    @Column({
        nullable: true,
    })
    public teacher_assigned_score: number;

    @Index('questionquestionpartmap_assignment_question_mapping_id_idx')
    @Column({
        nullable: true,
    })
    public assignment_question_mapping_id: number;

    @Column()
    public is_completely_graded: boolean;
}

export default QuestionQuestionpartMapEntity;
