export class TimeLogger {
    prefix;
    dataInfo;

    constructor(prefix, fields = []) {
        this.prefix = prefix;
        this.dataInfo = fields.join('-');
    }

    start(text) {
        console.time(`${this.prefix}:${this.dataInfo}:${text}`);
    }

    stop(text) {
        console.timeEnd(`${this.prefix}:${this.dataInfo}:${text}`);
    }
}
