import {
    Column,
    PrimaryGeneratedColumn,
    Index,
} from 'typeorm';

export abstract class AssignmentsQuestionMapEntity {
    @PrimaryGeneratedColumn()
    public id: number;

    @Index('assignmentquestionmap_student_assignment_id_idx')
    @Column({
        nullable: true,
    })
    public student_assignment_id: string;

    @Index('assignmentquestionmap_student_question_id_idx')
    @Column({
        nullable: true,
        type: 'uuid',
    })
    public question_id: string;
}

export default AssignmentsQuestionMapEntity;
