import { CreateDateColumn, PrimaryGeneratedColumn } from 'typeorm';

export abstract class ConnectionTestEntity {

    @PrimaryGeneratedColumn('increment')
    public id: number;

    @CreateDateColumn({
        type: 'timestamp without time zone',
        nullable: true,
        default: () => 'now()',
    })
    public requested_date: Date;

}

export default ConnectionTestEntity;
