import logger from './logger';

const logError = (code, errorMessage, methodName?) => {
    logger.error({ methodName, status: code, message: errorMessage });
};

const logInfo = (code, errorMessage, methodName?) => {
    logger.info({ methodName, status: code, message: errorMessage });
};

export { logError, logInfo };
